Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224296 - Audacity causing kernel glitch (non-fatal crash)
Summary: Audacity causing kernel glitch (non-fatal crash)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 05:05 UTC by Ryan Helinski
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 19:48:52 UTC


Attachments (Terms of Use)
Relevant lines from /var/log/messages (deleted)
2007-01-25 05:05 UTC, Ryan Helinski
no flags Details

Description Ryan Helinski 2007-01-25 05:05:21 UTC
Description of problem:
First time I've seen a kernel "Oops" on all consoles. It's caused by launched
Audacity (the one provided by yum). 

Version-Release number of selected component (if applicable):
kernel : 2.6.19-1.2895.fc6
audacity : 1.3.2, release 3.fc6, arch x86_64

How reproducible:
I believe just launch Audacity. I'm not aware of any user-specific audacity
config files in my home. 

  
Actual results:
Audacity GUI never shows up, but "audacity" stays in the processes (ps -A). A
successive launch terminates with an "already running error".

All consoles print the following message:
Message from syslogd@exciter at Wed Jan 24 22:04:26 2007 ...
exciter kernel: Oops: 0000 [1] SMP 

Message from syslogd@exciter at Wed Jan 24 22:04:26 2007 ...
exciter kernel: CR2: ffff810270c5c43c

Message from syslogd@exciter at Wed Jan 24 22:04:26 2007 ...
exciter kernel: Oops: 0000 [2] SMP 

Message from syslogd@exciter at Wed Jan 24 22:04:26 2007 ...
exciter kernel: CR2: ffff810270c5c43c


Expected results:
Audacity!

Additional info from /var/log/messages attached.

Comment 1 Ryan Helinski 2007-01-25 05:05:22 UTC
Created attachment 146496 [details]
Relevant lines from /var/log/messages

Comment 2 Eric Sandeen 2007-04-23 16:42:11 UTC
Was an oops in alsa:

Jan 24 22:04:26 exciter kernel: Unable to handle kernel paging request at
ffff810270c5c43c RIP: 
Jan 24 22:04:26 exciter kernel:  [<ffffffff8816bd83>]
:snd_pcm:snd_interval_list+0x5b/0xa0
Jan 24 22:04:26 exciter kernel: PGD 8063 PUD 0 
Jan 24 22:04:26 exciter kernel: Oops: 0000 [1] SMP 
Jan 24 22:04:26 exciter kernel: last sysfs file:
/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
Jan 24 22:04:26 exciter kernel: CPU 1 
Jan 24 22:04:26 exciter kernel: Modules linked in: autofs4 lm78 hwmon_vid hwmon
eeprom i2c_isa hidp nfs lockd nfs_acl rfcomm l2cap bluetooth sunrpc
ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack nfnetlink
iptable_filter ip_tables ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables
x_tables cpufreq_ondemand dm_multipath video sbs i2c_ec button battery asus_acpi
ac ipv6 lp snd_usb_audio snd_seq_dummy snd_seq_oss floppy nvidia(P)(U)
snd_hda_intel snd_seq_midi_event snd_seq sg ohci1394 snd_hda_codec snd_pcm_oss
ieee1394 snd_mixer_oss iTCO_wdt shpchp i2c_i801 i2c_core parport_pc serio_raw
ide_cd parport snd_pcm pcspkr 8139too mii cdrom snd_timer snd_page_alloc
snd_usb_lib snd_rawmidi snd_seq_device snd_hwdep snd soundcore dm_snapshot
dm_zero dm_mirror dm_mod usb_storage ahci libata sd_mod scsi_mod ext3 jbd
ehci_hcd ohci_hcd uhci_hcd
Jan 24 22:04:26 exciter kernel: Pid: 7558, comm: audacity Tainted: P     
2.6.19-1.2895.fc6 #1
Jan 24 22:04:26 exciter kernel: RIP: 0010:[<ffffffff8816bd83>] 
[<ffffffff8816bd83>] :snd_pcm:snd_interval_list+0x5b/0xa0
Jan 24 22:04:26 exciter kernel: RSP: 0018:ffff810074befbc0  EFLAGS: 00010216
Jan 24 22:04:26 exciter kernel: RAX: 000000007f01b1fd RBX: ffff8100643e1800 RCX:
000000007f01b1fd
Jan 24 22:04:26 exciter kernel: RDX: ffff810074befc48 RSI: 000000007f01b200 RDI:
ffff8100643e1928
Jan 24 22:04:26 exciter kernel: RBP: ffff810074befd28 R08: 000000002cda31c0 R09:
0000000000000001
Jan 24 22:04:26 exciter kernel: R10: ffff81007b3202a0 R11: 00000000ffffffff R12:
ffff81007f5c6c50
Jan 24 22:04:26 exciter kernel: R13: 0000000000000017 R14: 0000000000000019 R15:
0000000000000017
Jan 24 22:04:26 exciter kernel: FS:  00002aaaaaadffe0(0000)
GS:ffff8100033d3bc0(0000) knlGS:0000000000000000
Jan 24 22:04:26 exciter kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jan 24 22:04:26 exciter kernel: CR2: ffff810270c5c43c CR3: 000000007d739000 CR4:
00000000000006e0
Jan 24 22:04:26 exciter kernel: Process audacity (pid: 7558, threadinfo
ffff810074bee000, task ffff81005daec830)
Jan 24 22:04:26 exciter kernel: Stack:  ffffffff88169c93 ffff81007f4f8130
0000000300000002 0000000500000004
Jan 24 22:04:26 exciter kernel:  0000000700000006 0000000900000008
0000000b0000000a 0000000d0000000c
Jan 24 22:04:26 exciter kernel:  0000000f0000000e 0000001100000010
0000001300000012 0000001500000014
Jan 24 22:04:26 exciter kernel: Call Trace:
Jan 24 22:04:26 exciter kernel:  [<ffffffff88169c93>]
:snd_pcm:snd_pcm_hw_refine+0x292/0x3d9
Jan 24 22:04:26 exciter kernel:  [<ffffffff8823b1a6>]
:snd_pcm_oss:snd_pcm_oss_change_params+0x1c4/0xd06
Jan 24 22:04:26 exciter kernel:  [<ffffffff8823c38b>]
:snd_pcm_oss:snd_pcm_oss_get_active_substream+0x3a/0x5a
Jan 24 22:04:26 exciter kernel:  [<ffffffff8823c4ef>]
:snd_pcm_oss:snd_pcm_oss_get_channels+0xe/0x29
Jan 24 22:04:26 exciter kernel:  [<ffffffff8823cc9a>]
:snd_pcm_oss:snd_pcm_oss_ioctl+0x460/0xb1a
Jan 24 22:04:26 exciter kernel:  [<ffffffff802402f9>] do_ioctl+0x21/0x6b
Jan 24 22:04:26 exciter kernel:  [<ffffffff8022ff2b>] vfs_ioctl+0x256/0x26f
Jan 24 22:04:26 exciter kernel:  [<ffffffff8024a989>] sys_ioctl+0x59/0x78
Jan 24 22:04:26 exciter kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
Jan 24 22:04:26 exciter kernel:  [<00000034030c6147>]

Just to check, can you reproduce it when the proprietary nvidia module is not
loaded?

Comment 3 Ryan Helinski 2007-11-12 19:48:52 UTC
I'm not sure about that one. I no longer have this configuration. 


Note You need to log in before you can comment on or make changes to this bug.